/****************************************************************
*	FLOATBUG.C - demonstrate two methods of getting the message	*
*	"Floating point formats not linked"							*
*																*
*	To compile for Figure A: "tcc -DFIGA floatbug"				*
*	To compile for Figure B: "tcc -DFIGB floatbug"				*
*	If you add the phrase "-DFIX" before the program name in	*
*	either of the above statements, linkfloat() will also be	*
*	compiled, preventing the error message.						*
****************************************************************/

#ifdef FIX
	float linkfloat(float *f)
		{ float g=*f; linkfloat(&g); }
#endif

#ifdef FIGA
	#include <math.h>

	void main(void)
		{
		float f;
		f = atof("34.52");
		}
#endif

#ifdef FIGB
	#include <stdio.h>
	
	void main(void)
		{
		double *f;
		f=malloc(sizeof(double));
		if (!f)
			{
			puts("ERROR-can't allocate RAM");
			exit(1);
			}
		sscanf("34.52","%f",f);
		printf("%f",*f);
		}
#endif
